pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b~gate.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b~gate.adb");

with System.Restrictions;

package body ada_main is
   pragma Warnings (Off);

   procedure Do_Finalize;
   pragma Import (C, Do_Finalize, "system__standard_library__adafinal");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   procedure adainit is
      E009 : Boolean; pragma Import (Ada, E009, "system__secondary_stack_E");
      E013 : Boolean; pragma Import (Ada, E013, "system__soft_links_E");
      E019 : Boolean; pragma Import (Ada, E019, "system__exception_table_E");
      E145 : Boolean; pragma Import (Ada, E145, "ada__calendar_E");
      E153 : Boolean; pragma Import (Ada, E153, "ada__calendar__time_zones_E");
      E072 : Boolean; pragma Import (Ada, E072, "ada__io_exceptions_E");
      E092 : Boolean; pragma Import (Ada, E092, "ada__strings_E");
      E047 : Boolean; pragma Import (Ada, E047, "ada__tags_E");
      E056 : Boolean; pragma Import (Ada, E056, "ada__streams_E");
      E074 : Boolean; pragma Import (Ada, E074, "interfaces__c_E");
      E085 : Boolean; pragma Import (Ada, E085, "interfaces__c__strings_E");
      E250 : Boolean; pragma Import (Ada, E250, "system__assertions_E");
      E065 : Boolean; pragma Import (Ada, E065, "system__finalization_root_E");
      E076 : Boolean; pragma Import (Ada, E076, "system__os_lib_E");
      E094 : Boolean; pragma Import (Ada, E094, "ada__strings__maps_E");
      E097 : Boolean; pragma Import (Ada, E097, "ada__strings__maps__constants_E");
      E067 : Boolean; pragma Import (Ada, E067, "system__finalization_implementation_E");
      E063 : Boolean; pragma Import (Ada, E063, "ada__finalization_E");
      E081 : Boolean; pragma Import (Ada, E081, "ada__finalization__list_controller_E");
      E166 : Boolean; pragma Import (Ada, E166, "ada__strings__unbounded_E");
      E143 : Boolean; pragma Import (Ada, E143, "ada__directories_E");
      E079 : Boolean; pragma Import (Ada, E079, "system__file_control_block_E");
      E061 : Boolean; pragma Import (Ada, E061, "system__file_io_E");
      E172 : Boolean; pragma Import (Ada, E172, "system__regexp_E");
      E055 : Boolean; pragma Import (Ada, E055, "ada__text_io_E");
      E083 : Boolean; pragma Import (Ada, E083, "glib_E");
      E189 : Boolean; pragma Import (Ada, E189, "gdk__rectangle_E");
      E116 : Boolean; pragma Import (Ada, E116, "glib__glist_E");
      E197 : Boolean; pragma Import (Ada, E197, "gdk__visual_E");
      E118 : Boolean; pragma Import (Ada, E118, "glib__gslist_E");
      E134 : Boolean; pragma Import (Ada, E134, "glib__xml_E");
      E087 : Boolean; pragma Import (Ada, E087, "glib__glade_E");
      E176 : Boolean; pragma Import (Ada, E176, "gtk_generates_E");
      E112 : Boolean; pragma Import (Ada, E112, "gtkada__c_E");
      E108 : Boolean; pragma Import (Ada, E108, "gtkada__bindings_E");
      E114 : Boolean; pragma Import (Ada, E114, "gtkada__types_E");
      E103 : Boolean; pragma Import (Ada, E103, "glib__object_E");
      E105 : Boolean; pragma Import (Ada, E105, "glib__type_conversion_hooks_E");
      E185 : Boolean; pragma Import (Ada, E185, "glib__values_E");
      E195 : Boolean; pragma Import (Ada, E195, "gdk__color_E");
      E234 : Boolean; pragma Import (Ada, E234, "gdk__cursor_E");
      E183 : Boolean; pragma Import (Ada, E183, "glib__generic_properties_E");
      E212 : Boolean; pragma Import (Ada, E212, "gdk__region_E");
      E187 : Boolean; pragma Import (Ada, E187, "gdk__event_E");
      E236 : Boolean; pragma Import (Ada, E236, "gdk__display_E");
      E191 : Boolean; pragma Import (Ada, E191, "gdk__window_E");
      E216 : Boolean; pragma Import (Ada, E216, "gdk__bitmap_E");
      E214 : Boolean; pragma Import (Ada, E214, "gdk__pixmap_E");
      E220 : Boolean; pragma Import (Ada, E220, "glib__properties_E");
      E199 : Boolean; pragma Import (Ada, E199, "gtk__enums_E");
      E141 : Boolean; pragma Import (Ada, E141, "gtk__glade_E");
      E218 : Boolean; pragma Import (Ada, E218, "gtk__object_E");
      E242 : Boolean; pragma Import (Ada, E242, "gtk__accel_group_E");
      E248 : Boolean; pragma Import (Ada, E248, "gtk__adjustment_E");
      E206 : Boolean; pragma Import (Ada, E206, "pango__enums_E");
      E224 : Boolean; pragma Import (Ada, E224, "pango__attributes_E");
      E204 : Boolean; pragma Import (Ada, E204, "pango__font_E");
      E208 : Boolean; pragma Import (Ada, E208, "gdk__font_E");
      E210 : Boolean; pragma Import (Ada, E210, "gdk__gc_E");
      E226 : Boolean; pragma Import (Ada, E226, "pango__context_E");
      E228 : Boolean; pragma Import (Ada, E228, "pango__tabs_E");
      E222 : Boolean; pragma Import (Ada, E222, "pango__layout_E");
      E238 : Boolean; pragma Import (Ada, E238, "gdk__drawable_E");
      E240 : Boolean; pragma Import (Ada, E240, "gdk__rgb_E");
      E232 : Boolean; pragma Import (Ada, E232, "gdk__pixbuf_E");
      E201 : Boolean; pragma Import (Ada, E201, "gtk__style_E");
      E193 : Boolean; pragma Import (Ada, E193, "gtk__widget_E");
      E246 : Boolean; pragma Import (Ada, E246, "gtk__container_E");
      E244 : Boolean; pragma Import (Ada, E244, "gtk__bin_E");
      E230 : Boolean; pragma Import (Ada, E230, "gtk__window_E");

      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Zero_Cost_Exceptions : Integer;
      pragma Import (C, Zero_Cost_Exceptions, "__gl_zero_cost_exceptions");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Install_Handler;
      pragma Import (C, Install_Handler, "__gnat_install_handler");

      Handler_Installed : Integer;
      pragma Import (C, Handler_Installed, "__gnat_handler_installed");
   begin
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, True, False, False, False, False, False, False, 
           False, False, False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, True, True, False, True, True, True, 
           True, True, False, False, True, False, False, True, 
           True, False, True, True, True, True, True, True, 
           False, True, True, False, True, False, False, True, 
           False, False, True, False, False, False, True, False, 
           False, True, False, False, False, False, False, False, 
           False, False, True, True, True, False, False, True, 
           False, True, True, True, True, True, True, False, 
           False, False, False, False, False, False),
         Count => (0, 0, 0, 0, 0, 0, 0),
         Unknown => (False, False, False, False, False, False, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Zero_Cost_Exceptions := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      if Handler_Installed = 0 then
         Install_Handler;
      end if;

      System.Soft_Links'Elab_Body;
      E013 := True;
      System.Secondary_Stack'Elab_Body;
      E009 := True;
      System.Exception_Table'Elab_Body;
      E019 := True;
      Ada.Calendar'Elab_Spec;
      Ada.Calendar'Elab_Body;
      E145 := True;
      Ada.Calendar.Time_Zones'Elab_Spec;
      E153 := True;
      Ada.Io_Exceptions'Elab_Spec;
      E072 := True;
      Ada.Strings'Elab_Spec;
      E092 := True;
      Ada.Tags'Elab_Spec;
      Ada.Streams'Elab_Spec;
      E056 := True;
      Interfaces.C'Elab_Spec;
      E074 := True;
      Interfaces.C.Strings'Elab_Spec;
      E085 := True;
      System.Assertions'Elab_Spec;
      E250 := True;
      System.Finalization_Root'Elab_Spec;
      E065 := True;
      System.Os_Lib'Elab_Body;
      E076 := True;
      Ada.Strings.Maps'Elab_Spec;
      E094 := True;
      Ada.Strings.Maps.Constants'Elab_Spec;
      E097 := True;
      System.Finalization_Implementation'Elab_Spec;
      System.Finalization_Implementation'Elab_Body;
      E067 := True;
      Ada.Finalization'Elab_Spec;
      E063 := True;
      Ada.Finalization.List_Controller'Elab_Spec;
      E081 := True;
      Ada.Strings.Unbounded'Elab_Spec;
      E166 := True;
      Ada.Directories'Elab_Spec;
      System.File_Control_Block'Elab_Spec;
      E079 := True;
      System.File_Io'Elab_Body;
      E061 := True;
      System.Regexp'Elab_Spec;
      E172 := True;
      Ada.Directories'Elab_Body;
      E143 := True;
      Ada.Tags'Elab_Body;
      E047 := True;
      Ada.Text_Io'Elab_Spec;
      Ada.Text_Io'Elab_Body;
      E055 := True;
      Glib'Elab_Spec;
      E083 := True;
      E189 := True;
      E116 := True;
      Gdk.Visual'Elab_Body;
      E197 := True;
      E118 := True;
      E134 := True;
      Gtk_Generates'Elab_Body;
      E176 := True;
      E112 := True;
      E108 := True;
      Gtkada.Types'Elab_Spec;
      E114 := True;
      Glib.Object'Elab_Spec;
      Glib.Glade'Elab_Body;
      E087 := True;
      E105 := True;
      E103 := True;
      Glib.Values'Elab_Body;
      E185 := True;
      Gdk.Color'Elab_Spec;
      E234 := True;
      Glib.Generic_Properties'Elab_Spec;
      Glib.Generic_Properties'Elab_Body;
      E183 := True;
      E195 := True;
      E212 := True;
      Gdk.Event'Elab_Spec;
      Gdk.Display'Elab_Spec;
      E236 := True;
      E187 := True;
      E216 := True;
      E214 := True;
      E220 := True;
      E199 := True;
      Gtk.Glade'Elab_Body;
      E141 := True;
      Gtk.Object'Elab_Spec;
      E218 := True;
      Gtk.Accel_Group'Elab_Spec;
      Gtk.Accel_Group'Elab_Body;
      E242 := True;
      Gtk.Adjustment'Elab_Spec;
      Gtk.Adjustment'Elab_Body;
      E248 := True;
      E206 := True;
      E224 := True;
      Pango.Font'Elab_Spec;
      E204 := True;
      E208 := True;
      E210 := True;
      Pango.Context'Elab_Spec;
      E226 := True;
      E228 := True;
      Pango.Layout'Elab_Spec;
      E222 := True;
      E238 := True;
      E240 := True;
      Gdk.Pixbuf'Elab_Spec;
      E232 := True;
      Gtk.Style'Elab_Spec;
      Gtk.Style'Elab_Body;
      E201 := True;
      Gtk.Widget'Elab_Spec;
      E191 := True;
      Gtk.Container'Elab_Spec;
      Gtk.Container'Elab_Body;
      E246 := True;
      Gtk.Bin'Elab_Spec;
      Gtk.Bin'Elab_Body;
      E244 := True;
      Gtk.Window'Elab_Spec;
      Gtk.Window'Elab_Body;
      E230 := True;
      Gtk.Widget'Elab_Body;
      E193 := True;
   end adainit;

   procedure adafinal is
   begin
      Do_Finalize;
   end adafinal;

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure initialize (Addr : System.Address);
      pragma Import (C, initialize, "__gnat_initialize");

      procedure finalize;
      pragma Import (C, finalize, "__gnat_finalize");

      procedure Ada_Main_Program;
      pragma Import (Ada, Ada_Main_Program, "_ada_gate");

      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Break_Start;
      Ada_Main_Program;
      Do_Finalize;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-rectangle.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-error.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-convert.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-glist.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-visual.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-gslist.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-messages.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-unicode.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-xml.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk_generates.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada-c.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada-bindings.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada-types.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-glade.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-type_conversion_hooks.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-object.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-values.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-cursor.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-generic_properties.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-color.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-types.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-region.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-display.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-event.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-bitmap.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-pixmap.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-properties.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-enums.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-glade.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-object.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-accel_group.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-adjustment.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-enums.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-attributes.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-font.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-font.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-gc.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-context.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-tabs.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-layout.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-drawable.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-rgb.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-pixbuf.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-style.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-window.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-container.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-bin.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-main.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/tools/obj/gate.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-window.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-widget.o
   --   -L/builddir/build/BUILD/GtkAda-gpl-2.14.1/src/tools/obj/
   --   -L/builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/
   --   -L/usr/lib/gcc/ppc64-redhat-linux/4.4.5/adalib/
   --   -static
   --   -lgnat
--  END Object file/option list   

end ada_main;
