pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b~gdialog.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b~gdialog.adb");

with System.Restrictions;

package body ada_main is
   pragma Warnings (Off);

   procedure Do_Finalize;
   pragma Import (C, Do_Finalize, "system__standard_library__adafinal");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   procedure adainit is
      E009 : Boolean; pragma Import (Ada, E009, "system__secondary_stack_E");
      E013 : Boolean; pragma Import (Ada, E013, "system__soft_links_E");
      E019 : Boolean; pragma Import (Ada, E019, "system__exception_table_E");
      E084 : Boolean; pragma Import (Ada, E084, "ada__io_exceptions_E");
      E046 : Boolean; pragma Import (Ada, E046, "ada__strings_E");
      E059 : Boolean; pragma Import (Ada, E059, "ada__tags_E");
      E068 : Boolean; pragma Import (Ada, E068, "ada__streams_E");
      E086 : Boolean; pragma Import (Ada, E086, "interfaces__c_E");
      E101 : Boolean; pragma Import (Ada, E101, "interfaces__c__strings_E");
      E077 : Boolean; pragma Import (Ada, E077, "system__finalization_root_E");
      E088 : Boolean; pragma Import (Ada, E088, "system__os_lib_E");
      E050 : Boolean; pragma Import (Ada, E050, "ada__strings__maps_E");
      E057 : Boolean; pragma Import (Ada, E057, "ada__strings__maps__constants_E");
      E079 : Boolean; pragma Import (Ada, E079, "system__finalization_implementation_E");
      E075 : Boolean; pragma Import (Ada, E075, "ada__finalization_E");
      E093 : Boolean; pragma Import (Ada, E093, "ada__finalization__list_controller_E");
      E091 : Boolean; pragma Import (Ada, E091, "system__file_control_block_E");
      E073 : Boolean; pragma Import (Ada, E073, "system__file_io_E");
      E067 : Boolean; pragma Import (Ada, E067, "ada__text_io_E");
      E099 : Boolean; pragma Import (Ada, E099, "glib_E");
      E130 : Boolean; pragma Import (Ada, E130, "gdk__rectangle_E");
      E115 : Boolean; pragma Import (Ada, E115, "glib__glist_E");
      E138 : Boolean; pragma Import (Ada, E138, "gdk__visual_E");
      E117 : Boolean; pragma Import (Ada, E117, "glib__gslist_E");
      E111 : Boolean; pragma Import (Ada, E111, "gtkada__c_E");
      E108 : Boolean; pragma Import (Ada, E108, "gtkada__bindings_E");
      E113 : Boolean; pragma Import (Ada, E113, "gtkada__types_E");
      E103 : Boolean; pragma Import (Ada, E103, "glib__object_E");
      E105 : Boolean; pragma Import (Ada, E105, "glib__type_conversion_hooks_E");
      E123 : Boolean; pragma Import (Ada, E123, "glib__values_E");
      E136 : Boolean; pragma Import (Ada, E136, "gdk__color_E");
      E179 : Boolean; pragma Import (Ada, E179, "gdk__cursor_E");
      E121 : Boolean; pragma Import (Ada, E121, "glib__generic_properties_E");
      E157 : Boolean; pragma Import (Ada, E157, "gdk__region_E");
      E128 : Boolean; pragma Import (Ada, E128, "gdk__event_E");
      E181 : Boolean; pragma Import (Ada, E181, "gdk__display_E");
      E132 : Boolean; pragma Import (Ada, E132, "gdk__window_E");
      E161 : Boolean; pragma Import (Ada, E161, "gdk__bitmap_E");
      E159 : Boolean; pragma Import (Ada, E159, "gdk__pixmap_E");
      E165 : Boolean; pragma Import (Ada, E165, "glib__properties_E");
      E119 : Boolean; pragma Import (Ada, E119, "gtk__enums_E");
      E163 : Boolean; pragma Import (Ada, E163, "gtk__object_E");
      E189 : Boolean; pragma Import (Ada, E189, "gtk__accel_group_E");
      E195 : Boolean; pragma Import (Ada, E195, "gtk__adjustment_E");
      E208 : Boolean; pragma Import (Ada, E208, "gtkada__pixmaps_E");
      E151 : Boolean; pragma Import (Ada, E151, "pango__enums_E");
      E169 : Boolean; pragma Import (Ada, E169, "pango__attributes_E");
      E143 : Boolean; pragma Import (Ada, E143, "pango__font_E");
      E153 : Boolean; pragma Import (Ada, E153, "gdk__font_E");
      E155 : Boolean; pragma Import (Ada, E155, "gdk__gc_E");
      E171 : Boolean; pragma Import (Ada, E171, "pango__context_E");
      E173 : Boolean; pragma Import (Ada, E173, "pango__tabs_E");
      E167 : Boolean; pragma Import (Ada, E167, "pango__layout_E");
      E183 : Boolean; pragma Import (Ada, E183, "gdk__drawable_E");
      E185 : Boolean; pragma Import (Ada, E185, "gdk__rgb_E");
      E177 : Boolean; pragma Import (Ada, E177, "gdk__pixbuf_E");
      E140 : Boolean; pragma Import (Ada, E140, "gtk__style_E");
      E134 : Boolean; pragma Import (Ada, E134, "gtk__widget_E");
      E193 : Boolean; pragma Import (Ada, E193, "gtk__container_E");
      E191 : Boolean; pragma Import (Ada, E191, "gtk__bin_E");
      E199 : Boolean; pragma Import (Ada, E199, "gtk__box_E");
      E203 : Boolean; pragma Import (Ada, E203, "gtk__misc_E");
      E201 : Boolean; pragma Import (Ada, E201, "gtk__label_E");
      E175 : Boolean; pragma Import (Ada, E175, "gtk__window_E");
      E214 : Boolean; pragma Import (Ada, E214, "gtk__dialog_E");
      E205 : Boolean; pragma Import (Ada, E205, "gtk__pixmap_E");

      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Zero_Cost_Exceptions : Integer;
      pragma Import (C, Zero_Cost_Exceptions, "__gl_zero_cost_exceptions");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Install_Handler;
      pragma Import (C, Install_Handler, "__gnat_install_handler");

      Handler_Installed : Integer;
      pragma Import (C, Handler_Installed, "__gnat_handler_installed");
   begin
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, True, False, False, False, False, False, False, 
           False, False, False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, True, True, False, False, False, True, 
           True, True, False, False, True, False, False, True, 
           True, False, True, True, True, True, True, True, 
           False, True, True, False, True, False, False, True, 
           False, False, True, False, False, False, True, False, 
           False, True, False, False, False, False, False, False, 
           False, False, True, True, True, False, False, True, 
           False, True, True, True, True, True, True, False, 
           False, False, False, False, False, False),
         Count => (0, 0, 0, 0, 0, 0, 0),
         Unknown => (False, False, False, False, False, False, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Zero_Cost_Exceptions := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      if Handler_Installed = 0 then
         Install_Handler;
      end if;

      System.Soft_Links'Elab_Body;
      E013 := True;
      System.Secondary_Stack'Elab_Body;
      E009 := True;
      System.Exception_Table'Elab_Body;
      E019 := True;
      Ada.Io_Exceptions'Elab_Spec;
      E084 := True;
      Ada.Strings'Elab_Spec;
      E046 := True;
      Ada.Tags'Elab_Spec;
      Ada.Streams'Elab_Spec;
      E068 := True;
      Interfaces.C'Elab_Spec;
      E086 := True;
      Interfaces.C.Strings'Elab_Spec;
      E101 := True;
      System.Finalization_Root'Elab_Spec;
      E077 := True;
      System.Os_Lib'Elab_Body;
      E088 := True;
      Ada.Strings.Maps'Elab_Spec;
      E050 := True;
      Ada.Strings.Maps.Constants'Elab_Spec;
      E057 := True;
      System.Finalization_Implementation'Elab_Spec;
      System.Finalization_Implementation'Elab_Body;
      E079 := True;
      Ada.Finalization'Elab_Spec;
      E075 := True;
      Ada.Finalization.List_Controller'Elab_Spec;
      E093 := True;
      System.File_Control_Block'Elab_Spec;
      E091 := True;
      System.File_Io'Elab_Body;
      E073 := True;
      Ada.Tags'Elab_Body;
      E059 := True;
      Ada.Text_Io'Elab_Spec;
      Ada.Text_Io'Elab_Body;
      E067 := True;
      Glib'Elab_Spec;
      E099 := True;
      E130 := True;
      E115 := True;
      Gdk.Visual'Elab_Body;
      E138 := True;
      E117 := True;
      E111 := True;
      E108 := True;
      Gtkada.Types'Elab_Spec;
      E113 := True;
      Glib.Object'Elab_Spec;
      E105 := True;
      E103 := True;
      Glib.Values'Elab_Body;
      E123 := True;
      Gdk.Color'Elab_Spec;
      E179 := True;
      Glib.Generic_Properties'Elab_Spec;
      Glib.Generic_Properties'Elab_Body;
      E121 := True;
      E136 := True;
      E157 := True;
      Gdk.Event'Elab_Spec;
      Gdk.Display'Elab_Spec;
      E181 := True;
      E128 := True;
      E161 := True;
      E159 := True;
      E165 := True;
      E119 := True;
      Gtk.Object'Elab_Spec;
      E163 := True;
      Gtk.Accel_Group'Elab_Spec;
      Gtk.Accel_Group'Elab_Body;
      E189 := True;
      Gtk.Adjustment'Elab_Spec;
      Gtk.Adjustment'Elab_Body;
      E195 := True;
      Gtkada.Pixmaps'Elab_Spec;
      E208 := True;
      E151 := True;
      E169 := True;
      Pango.Font'Elab_Spec;
      E143 := True;
      E153 := True;
      E155 := True;
      Pango.Context'Elab_Spec;
      E171 := True;
      E173 := True;
      Pango.Layout'Elab_Spec;
      E167 := True;
      E183 := True;
      E185 := True;
      Gdk.Pixbuf'Elab_Spec;
      E177 := True;
      Gtk.Style'Elab_Spec;
      Gtk.Style'Elab_Body;
      E140 := True;
      Gtk.Widget'Elab_Spec;
      E132 := True;
      Gtk.Container'Elab_Spec;
      Gtk.Container'Elab_Body;
      E193 := True;
      Gtk.Bin'Elab_Spec;
      Gtk.Bin'Elab_Body;
      E191 := True;
      Gtk.Box'Elab_Spec;
      Gtk.Box'Elab_Body;
      E199 := True;
      Gtk.Misc'Elab_Spec;
      Gtk.Misc'Elab_Body;
      E203 := True;
      Gtk.Label'Elab_Spec;
      Gtk.Label'Elab_Body;
      E201 := True;
      Gtk.Window'Elab_Spec;
      Gtk.Window'Elab_Body;
      E175 := True;
      Gtk.Widget'Elab_Body;
      E134 := True;
      Gtk.Dialog'Elab_Spec;
      Gtk.Dialog'Elab_Body;
      E214 := True;
      Gtk.Pixmap'Elab_Spec;
      Gtk.Pixmap'Elab_Body;
      E205 := True;
   end adainit;

   procedure adafinal is
   begin
      Do_Finalize;
   end adafinal;

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure initialize (Addr : System.Address);
      pragma Import (C, initialize, "__gnat_initialize");

      procedure finalize;
      pragma Import (C, finalize, "__gnat_finalize");

      procedure Ada_Main_Program;
      pragma Import (Ada, Ada_Main_Program, "_ada_gdialog");

      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Break_Start;
      Ada_Main_Program;
      Do_Finalize;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-rectangle.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-error.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-glist.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-visual.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-gslist.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada-c.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada-bindings.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada-intl.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada-types.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-type_conversion_hooks.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-object.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-values.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-cursor.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-generic_properties.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-color.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-types.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-region.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-display.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-event.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-bitmap.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-pixmap.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/glib-properties.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-enums.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-object.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-accel_group.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-adjustment.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada-pixmaps.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-enums.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-attributes.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-font.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-font.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-gc.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-context.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-tabs.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/pango-layout.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-drawable.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-rgb.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-pixbuf.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-style.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gdk-window.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-container.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-bin.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-box.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-main.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-misc.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-label.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-window.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-widget.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-dialog.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtk-pixmap.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/gtkada-dialogs.o
   --   /builddir/build/BUILD/GtkAda-gpl-2.14.1/src/tools/obj/gdialog.o
   --   -L/builddir/build/BUILD/GtkAda-gpl-2.14.1/src/tools/obj/
   --   -L/builddir/build/BUILD/GtkAda-gpl-2.14.1/src/lib-obj/
   --   -L/usr/lib/gcc/ppc64-redhat-linux/4.4.5/adalib/
   --   -static
   --   -lgnat
--  END Object file/option list   

end ada_main;
